package com.ic.modules.auth.repository;

import java.sql.Timestamp;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;

import com.ic.modules.auth.model.UserOTP;

public interface UserOTPRepository extends JpaRepository<UserOTP, String>, JpaSpecificationExecutor<UserOTP>{
	
	@Query("select createdTs FROM UserOTP where id = :id and userId = :userId and OTP = :OTP")
	Timestamp validateOTP(@Param("id") String id, @Param("userId") String userId, @Param("OTP") String OTP);
}
